$(document).ready(function() {

    $('.list-add-to-cart').click(function(e) {
    	var target = $(this);
    	var ind = $(this).data('ind');

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            url : '/cart',
            dataType: 'html',
            method: 'post',
            data: {
                ind: ind,
                qnt: 1,
				act: 'add',
                ret: 1,
            },
            beforeSend: function() {
                target.html('<img src="/assets/img/loading.gif" alt="please wait.."> wait');
                target.attr('disabled',true);
            },
            success: function( data ) {
                target.html('<span> Dodaj u korpu</span>');
                target.attr('disabled',false);
                //alert(data);
                $('#cart-total .count').html(data);
                var tp = $("#cart-total").offset().top-20;
                $('html, body').animate({
                    scrollTop: tp
                }, 1000);
            }, // success
            error: function(statusCode, errorThrown) {
                if (statusCode.status == 0) {
                    alert("Nije uspostavljena veza sa internetom\npokušajte da se ponovo povežete\nkako bi mogli da nastavite sa radom");
                } // if no connection
            } // error
        });

        return false;

	});


	

	
    
}); // dr

